Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
AbcTolerancesEtc Class Reference

`#include <CoinAbcCommon.hpp>`

## Public Member Functions
Constructors and destructors
| AbcTolerancesEtc ()
| Default Constructor. More...
| AbcTolerancesEtc (const ClpSimplex *model)
| Useful Constructors. More...
| AbcTolerancesEtc (const AbcSimplex *model)
| AbcTolerancesEtc (const AbcTolerancesEtc &)
| Copy constructor. More...
AbcTolerancesEtc & | operator= (const AbcTolerancesEtc &rhs)
| Assignment operator. More...
| ~AbcTolerancesEtc ()
| Destructor. More...

## Public Attributes
Public member data
double | zeroTolerance_
| Zero tolerance. More...
double | primalToleranceToGetOptimal_
| Primal tolerance needed to make dual feasible (<largeTolerance) More...
double | largeValue_
| Large bound value (for complementarity etc) More...
double | alphaAccuracy_
| For computing whether to re-factorize. More...
double | dualBound_
| Dual bound. More...
double | dualTolerance_
| Current dual tolerance for algorithm. More...
double | primalTolerance_
| Current primal tolerance for algorithm. More...
double | infeasibilityCost_
| Weight assigned to being infeasible in primal. More...
double | incomingInfeasibility_
| For advanced use. More...
double | allowedInfeasibility_
int | baseIteration_
| Iteration when we entered dual or primal. More...
int | numberRefinements_
| How many iterative refinements to do. More...
int | forceFactorization_
| Now for some reliability aids This forces re-factorization early. More...
int | perturbation_
| Perturbation: -50 to +50 - perturb by this power of ten (-6 sounds good) 100 - auto perturb if takes too long (1.0e-6 largest nonzero) 101 - we are perturbed 102 - don't try perturbing again default is 100. More...
int | dontFactorizePivots_
| If may skip final factorize then allow up to this pivots (default 20) More...
int | maximumPivots_
| For factorization Maximum number of pivots before factorization. More...

## Detailed Description

Definition at line 254 of file CoinAbcCommon.hpp.

## Constructor & Destructor Documentation

AbcTolerancesEtc::AbcTolerancesEtc | ( |  | ) |

Default Constructor.

AbcTolerancesEtc::AbcTolerancesEtc | ( | const ClpSimplex * | model | ) |

Useful Constructors.

AbcTolerancesEtc::AbcTolerancesEtc | ( | const AbcSimplex * | model | ) |

AbcTolerancesEtc::AbcTolerancesEtc | ( | const AbcTolerancesEtc & |  | ) |

Copy constructor.

AbcTolerancesEtc::~AbcTolerancesEtc | ( |  | ) |

Destructor.

## Member Function Documentation

AbcTolerancesEtc& AbcTolerancesEtc::operator= | ( | const AbcTolerancesEtc & | rhs | ) |

Assignment operator.

## Member Data Documentation

double AbcTolerancesEtc::zeroTolerance_

Zero tolerance.

Definition at line 282 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::primalToleranceToGetOptimal_

Primal tolerance needed to make dual feasible (<largeTolerance)

Definition at line 284 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::largeValue_

Large bound value (for complementarity etc)

Definition at line 286 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::alphaAccuracy_

For computing whether to re-factorize.

Definition at line 288 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::dualBound_

Dual bound.

Definition at line 290 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::dualTolerance_

Current dual tolerance for algorithm.

Definition at line 292 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::primalTolerance_

Current primal tolerance for algorithm.

Definition at line 294 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::infeasibilityCost_

Weight assigned to being infeasible in primal.

Definition at line 296 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::incomingInfeasibility_

For advanced use.

When doing iterative solves things can get nasty so on values pass if incoming solution has largest infeasibility < incomingInfeasibility throw out variables from basis until largest infeasibility < allowedInfeasibility. if allowedInfeasibility>= incomingInfeasibility this is always possible altough you may end up with an all slack basis.

Defaults are 1.0,10.0

Definition at line 306 of file CoinAbcCommon.hpp.

double AbcTolerancesEtc::allowedInfeasibility_

Definition at line 307 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::baseIteration_

Iteration when we entered dual or primal.

Definition at line 309 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::numberRefinements_

How many iterative refinements to do.

Definition at line 311 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::forceFactorization_

Now for some reliability aids This forces re-factorization early.

Definition at line 314 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::perturbation_

Perturbation: -50 to +50 - perturb by this power of ten (-6 sounds good) 100 - auto perturb if takes too long (1.0e-6 largest nonzero) 101 - we are perturbed 102 - don't try perturbing again default is 100.

Definition at line 322 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::dontFactorizePivots_

If may skip final factorize then allow up to this pivots (default 20)

Definition at line 324 of file CoinAbcCommon.hpp.

int AbcTolerancesEtc::maximumPivots_

For factorization Maximum number of pivots before factorization.

Definition at line 327 of file CoinAbcCommon.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/CoinAbcCommon.hpp